/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
  Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

import InputRadio from './input-radio';
import InputRadioDocs from './input-radio.mdx';

export default {
  title: 'C360 Subsystem/Components/Input Radio',
  component: InputRadio,
  parameters: {
    docs: {
      page: InputRadioDocs,
    },
    specs: {
      disabled: true,
    },
  },
  argTypes: {
    label: {
      control: {
        type: 'text',
      },
    },
    size: {
      control: { type: 'select', options: ['small', 'medium', 'large'] },
      defaultValue: 'large',
    },
    checked: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
    disabled: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
    required: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
    error: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
  },
};

const BaseTemplate = (args) => `
  <c360-input-radio
    size="${args.size}"
    ${args.checked ? 'checked' : ''}
    ${args.disabled ? 'disabled' : ''}
    ${args.required ? 'required' : ''}
    ${args.error ? 'error' : ''}>
    ${args.label}
  </c360-input-radio>
`;

export const Base = BaseTemplate.bind({});
Base.args = {
  label: '7 AM to 9 PM',
};
